AGTCloud API Docs
GuidesAPI ReferenceIntegrations and resourcesUpdate and help
Image generationMidjourney

Retrieve a task

Retrieve the status and result of a Midjourney task by ID.

The single-task retrieval API returns the task action, status, progress, image URL, and buttons. Use status to determine whether to keep waiting. After the task succeeds, use a buttons[].customId value to run a subsequent Action.

GET/mj/task/{id}/fetch

Retrieve a task's status, progress, image URL, and available action buttons by task ID.

Authorization

bearerAuth
AuthorizationBearer <token>

Use Bearer your-api-key in the Authorization header.

In: header

Path Parameters

id*string

Midjourney task ID.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json